HttpHandler (Java Platform SE 8 )
Keywords: javax.xml.ws.spi.http.HttpHandler class
Date: 2026-07-22

javax.xml.ws.spi.http

## Class HttpHandler

- java.lang.Object
- - javax.xml.ws.spi.http.HttpHandler

-     public abstract class HttpHandler
      extends Object

  A handler which is invoked to process HTTP requests.

  JAX-WS runtime provides the implementation for this and sets it using `HttpContext.setHandler(HttpHandler)` during `Endpoint.publish(HttpContext)`

  Since:
    JAX-WS 2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpHandler()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `handle(HttpExchange exchange)` Handles a given request and generates an appropriate response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpHandler

          public HttpHandler()

  - ### Method Detail

    - #### handle

          public abstract void handle(HttpExchange exchange)
                               throws IOException

      Handles a given request and generates an appropriate response. See `HttpExchange` for a description of the steps involved in handling an exchange. Container invokes this method when it receives an incoming request.
      Parameters:
        `exchange` - the exchange containing the request from the client and used to send the response
      Throws:
        `IOException` - when an I/O error happens during request handling

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.